package com.jdzh.jdzhandroid.Communication.Modbus;

import com.jdzh.jdzhandroid.Enum.DataFormat;

public interface IRead {
    void ReadBool(String address, int length, int slaveId, IReadCallBack<boolean[]> callback);

    void ReadShort(String address, int length,int slaveId, IReadCallBack<short[]> callback);

    void ReadInt(String address, int length, int slaveId, DataFormat df, IReadCallBack<int[]> callback);
    void ReadInt(String address, int length, int slaveId, IReadCallBack<int[]> callback);

    void ReadByte(String address, int length, int slaveId, IReadCallBack<byte[]> callback);

    void ReadString(String address, int length, int slaveId, IReadCallBack<String> callback);

    void ReadFloat(String address, int length, int slaveId,DataFormat df, IReadCallBack<float[]> callback);
    void ReadFloat(String address, int length, int slaveId, IReadCallBack<float[]> callback);
}
